Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pietschy.command.face
Class DescriptionAttributeValue

    java.lang.Object
      com.pietschy.command.face.AttributeValue
          com.pietschy.command.face.DescriptionAttributeValue

     class DescriptionAttributeValue

extends AttributeValue

An extension of `AttributeValue` that allows the string values of an attribute to be derived from other attributes. The template specifies the rules by which the final string result will be derived.

Version:
  $Revision: 1.4 $
Author:
  andrewp

Constructor Summary
`DescriptionAttributeValue(Face face, Attribute name)`

Method Summary
`java.lang.String` | `getAcceleratorText(Face face)` Gets the user friendly string for an accelerator.
`protected java.lang.String` | `getModifiersText(int modifiers)`
`java.lang.Object` | `getValue()` Gets the value of this attribute.
`protected boolean` | `isPressed(int modifiers, int mask)`
`void` | `setValue(java.lang.Object value)` Sets the value of the attribute.
`void` | `updateState(java.lang.String string)`

Methods inherited from class com.pietschy.command.face.AttributeValue
`copyTo, getFace, getInheritedValue, isInherited, isNullValue, notifyParentAttributeChanged, setInherited`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DescriptionAttributeValue

    public DescriptionAttributeValue(Face face,
                                     Attribute name)

Method Detail

### getValue

    public java.lang.Object getValue()

  Description copied from class: `AttributeValue`
  Gets the value of this attribute.

  Overrides:
    `getValue` in class `AttributeValue`
  Returns:
    the value of this attribute or the inherited value as required.

### setValue

    public void setValue(java.lang.Object value)

  Description copied from class: `AttributeValue`
  Sets the value of the attribute.

  Overrides:
    `setValue` in class `AttributeValue`
  Parameters:
    `value` - the new value of the attribute.

### updateState

    public void updateState(java.lang.String string)

### getAcceleratorText

    public java.lang.String getAcceleratorText(Face face)

  Gets the user friendly string for an accelerator.

  Returns:
    a string representing the accelerator.

### getModifiersText

    protected java.lang.String getModifiersText(int modifiers)

### isPressed

    protected boolean isPressed(int modifiers,
                                int mask)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 - 2007 Andrew Pietsch